Skip to content
Dashboard
Theme
Theme

List the organizations a connection is shared with

GET /v1/connections/{conn}/shares: List the organizations a connection is shared with.

View Markdown

GET /v1/connections/{conn}/shares

Every share of the connection, live and revoked, oldest first (at most 100).

Scope
connections:read
Auth
Secret key (sk_…)
Since
1.0
  • conn string Required

  • OhAuthCat-Version string

    Minor version; defaults to the environment’s pin.

Errors share one shape; see the error code catalogue.

curl -X GET \
"https://api.ohauthcat.com/v1/connections/conn_01J9Z3K5V7W8X9Y0Z1A2B3C4D5/shares" \
-H "Authorization: Bearer $OHAUTHCAT_API_KEY"
Response 200
{
"object": "list",
"data": [
{
"id": "cshr_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"object": "connection_share",
"connection_id": "conn_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"owner_organization_id": "org_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"organization_id": "org_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"routing_domains": [
"acme.com"
],
"created_at": "2026-01-15T09:30:00Z",
"revoked_at": "2026-01-15T09:30:00Z"
}
]
}